i#!/bin/bash
# create_conf.sh
# create conf centreon
# version 1.03
# Date 15/01/2016
# Eric Coquard
# $1 : admin
# $2 : password
# $3 : file conf
# parameter $1 : file conf
# version 1.01
# add parameter user mdp
# version 1.02
# replace &quot; with "
# version 1.03
# add help and configure path for clapi

if [ $# -ne 3 ]
then
    echo Usage: $0 \<Centreon admin\> \<Centreon password\> \<File conf\> 1>&2
    echo This program create config Centreon with file  1>&2
    exit 1
fi


VERT="\\033[1;32m"
NORMAL="\\033[0;39m"
ROUGE="\\033[1;31m"
ROSE="\\033[1;35m"
BLEU="\\033[1;34m"
BLANC="\\033[0;02m"
BLANCLAIR="\\033[1;08m"
JAUNE="\\033[1;33m"
CYAN="\\033[1;36m"

# Parameter
CLAPI_DIR=/usr/bin
USER_CENTREON=$1
PWD_CENTREON=$2
STATE_OK=0

while read LINE
do
  # comments
  if [ `expr index "$LINE" "#"` == 1 ]
  then
    continue
  fi

  OIFS=$IFS
  IFS=';'
  LINE_BLANK=$LINE
  LINE=${LINE//\&quot;/\"}
  unset PARAM
  for X in $LINE_BLANK
  do
      PARAM=("${PARAM[@]}" "$X")
  done
  #${PARAM[0]} OBJECT
  #${PARAM[1]} ACTION
  #${PARAM[2]} name
  #${PARAM[3]} PARAM1
  #${PARAM[4]} PARAM2
  #${PARAM[5]} PARAM3
  #${PARAM[6]} PARAM4
  #${PARAM[7]} PARAM5

  # parameter ligne end
  if [ "${LINE: -1}" == ";" ]
  then
     PARAM=("${PARAM[@]}" "")
  fi

  IFS=$OIFS


  if [ $((${#PARAM[@]}-3)) == "0" ]
  then
    echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name : ${PARAM[2]} "
    RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]}"`
  elif [ $((${#PARAM[@]}-3)) == "1" ]
  then
    echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name : ${PARAM[2]} 1: ${PARAM[3]} "
    RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]};${PARAM[3]}"`
  elif [ $((${#PARAM[@]}-3)) == "2" ]
  then
    if [ ${PARAM[0]} == "RESOURCECFG" ]
    then
      $CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a show -v "${PARAM[2]}" |
      while read LINE_ID
      do
         ID=`echo $LINE_ID | cut -d";" -f1 `
         #echo $ID
         if [ "$ID" != "id" ]
         then
           echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name :  $ID 1: ${PARAM[3]} 2: ${PARAM[4]}"
           RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "$ID;${PARAM[3]};${PARAM[4]}"`
       fi
      done
    else
      echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name :  ${PARAM[2]} 1: ${PARAM[3]} 2: ${PARAM[4]}"
      RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]};${PARAM[3]};${PARAM[4]}"`
    fi
  elif [ $((${#PARAM[@]}-3)) == "3" ]
  then
    echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name : ${PARAM[2]} 1: ${PARAM[3]}  2: ${PARAM[4]} 3: ${PARAM[5]}"
    RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]};${PARAM[3]};${PARAM[4]};${PARAM[5]}"`
  elif [ $((${#PARAM[@]}-3)) == "4" ]
  then
    echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name : ${PARAM[2]} 1: ${PARAM[3]}  2: ${PARAM[4]} 3: ${PARAM[5]} 4: ${PARAM[6]}"
    RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]};${PARAM[3]};${PARAM[4]};${PARAM[5]};${PARAM[6]}"`
  else
    echo "Command Clapi ${PARAM[0]}  :  ${PARAM[1]}  name : ${PARAM[2]} 1: ${PARAM[3]}  2: ${PARAM[4]} 3: ${PARAM[5]} 4: ${PARAM[6]} 5: ${PARAM[7]}"
    RESULT=`$CLAPI_DIR/centreon -u $USER_CENTREON -p $PWD_CENTREON -o ${PARAM[0]} -a ${PARAM[1]} -v "${PARAM[2]};${PARAM[3]};${PARAM[4]};${PARAM[5]};${PARAM[6]};${PARAM[7]}"`
  fi
  STATE=$?
  if [ "$STATE" != "$STATE_OK" ]
  then
    echo -e "*   ""$ROUGE""Erreur: "$RESULT"$NORMAL"
  fi
done < $3
