#!/bin/bash
# create_poller_display.sh
# version 1.02
# date 24/03/2016
# use Centreon_Clapi
# $1 name of admin
# $2 password admin
# $3 name of poller
# $4 passwd bdd poller
# version 1.02
# fix parameter negotiation
# fix parameter retention_path
# fix parameter stats

if [ $# -ne 4 ]
then
    echo Usage: $0 admin password \<name poller\> \<password bdd poller\> 1>&2
    echo This program create configuration poller display  1>&2
    echo for Centreon 1>&2
    exit 1
fi

CLAPI_DIR=/usr/bin
USER_CENTREON=$1
PWD_CENTREON=$2
NAME_POLLER=$3
MIN_NAME_POLLER="$(echo $NAME_POLLER | tr 'A-Z' 'a-z')"
PASSWORD_SQL=$4

#add Output IPv4 for poller module
RESULT=`$CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a listoutput -v $MIN_NAME_POLLER-module | grep -c $MIN_NAME_POLLER-module-output-display`
if [ $RESULT == 0 ]
then
    echo add Output IPv4 for poller module
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-module;$MIN_NAME_POLLER-module-output-display;ipv4"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;tls;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;compression;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;port;5672"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;failover;$MIN_NAME_POLLER-module-output-display-failover"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;retry_interval;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;buffering_timeout;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;host;localhost"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;3;type;ipv4"
    echo add Output failover IPv4 for poller module
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-module;$MIN_NAME_POLLER-module-output-display-failover;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;4;path;/var/lib/centreon-engine/$MIN_NAME_POLLER-module-output-display.retention"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;4;type;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;4;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-module;4;compression;auto"
else
   echo output $MIN_NAME_POLLER-module-output-display for poller $MIN_NAME_POLLER-broker-display  already exist !
fi

#add centreon broker for poller
RESULT=`$CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a show -v $MIN_NAME_POLLER-broker-display | grep $MIN_NAME_POLLER-broker-display | cut -d";" -f2`
if [ "$RESULT" != "$MIN_NAME_POLLER-broker-display" ]
then
    echo add centreon broker for poller
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADD -v "$MIN_NAME_POLLER-broker-display;$NAME_POLLER"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-broker-display;filename;central-broker.xml"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-broker-display;retention_path;/var/lib/centreon-broker"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-broker-display;stats_activate;1"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-broker-display;write_timestamp;1"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-broker-display;write_thread_id;0"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDLOGGER -v "$MIN_NAME_POLLER-broker-display;/var/log/centreon-broker/$MIN_NAME_POLLER-broker-display.log;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;config;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;debug;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;error;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;info;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;level;low"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-broker-display;1;type;file"
    # INPUT IPv4
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDINPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-input;ipv4"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;tls;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;compression;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;negotiation;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;port;5672"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-broker-display;1;type;ipv4"
    # OUTPUT Sql Centreon
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-mysql;sql"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_type;mysql"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;failover;$MIN_NAME_POLLER-broker-display-mysql-failover"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_host;localhost"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_port;3306"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_user;centreon"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_password;$PASSWORD_SQL"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;db_name;centreon_storage"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;1;type;sql"
    # OUTPUT Perfdata Centreon
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-perfdata;storage"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_type;mysql"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;failover;$MIN_NAME_POLLER-broker-display-perfdata-failover"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_host;localhost"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_port;3306"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_user;centreon"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_password;$PASSWORD_SQL"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;db_name;centreon_storage"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;type;storage"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;interval;60"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;length;15552000"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;check_replication;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;2;insert_in_index_data;yes"
    # OUTPUT RRD
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-rrd;ipv4"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;failover;$MIN_NAME_POLLER-broker-display-rrd-failover"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;retry_interval;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;buffering_timeout;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;host;localhost"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;tls;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;compression;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;negotiation;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;port;5670"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;3;type;ipv4"
    # FAILOVER SQL
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-mysql-failover;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;4;path;/var/lib/centreon-broker/$MIN_NAME_POLLER-broker-display-mysql-failover.retention"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;4;type;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;4;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;4;compression;auto"
    # FAILOVER PERFDATA
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-perfdata-failover;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;5;path;/var/lib/centreon-broker/$MIN_NAME_POLLER-broker-display-perfdata-failover.retention"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;5;type;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;5;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;5;compression;auto"
    # FAILOVER RRD
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-broker-display;$MIN_NAME_POLLER-broker-display-rrd-failover;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;6;path;/var/lib/centreon-broker/$MIN_NAME_POLLER-broker-display-rrd-failover.retention"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;6;type;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;6;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-broker-display;6;compression;auto"
else
   echo module broker-display for poller $MIN_NAME_POLLER-broker-display  already exist !
fi

#add centreon rrd for poller
RESULT=`$CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a show -v $MIN_NAME_POLLER-rrd-display | grep $MIN_NAME_POLLER-rrd-display | cut -d";" -f2`
if [ "$RESULT" != "$MIN_NAME_POLLER-rrd-display" ]
then
    echo add centreon rrd for poller
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADD -v "$MIN_NAME_POLLER-rrd-display;$NAME_POLLER"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-rrd-display;retention_path;/var/lib/centreon-broker"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-rrd-display;stats_activate;1"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-rrd-display;filename;central-rrd.xml"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-rrd-display;write_timestamp;1"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setparam -v "$MIN_NAME_POLLER-rrd-display;write_thread_id;0"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDLOGGER -v "$MIN_NAME_POLLER-rrd-display;/var/log/centreon-broker/$MIN_NAME_POLLER-rrd-display.log;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;config;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;debug;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;error;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;info;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;level;low"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setlogger -v "$MIN_NAME_POLLER-rrd-display;1;type;file"
    # INPUT IPv4
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDINPUT -v "$MIN_NAME_POLLER-rrd-display;$MIN_NAME_POLLER-rrd-display-input;ipv4"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;tls;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;compression;auto"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;negotiation;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;port;5670"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setinput -v "$MIN_NAME_POLLER-rrd-display;1;type;ipv4"
    # OUTPUT RRD file
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-rrd-display;$MIN_NAME_POLLER-rrd-display-output;rrd"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;failover;$MIN_NAME_POLLER-rrd-display-output-failover"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;retry_interval;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;buffering_timeout;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;metrics_path;/var/lib/centreon/metrics"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;status_path;/var/lib/centreon/status"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;path;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;port;"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;store_in_data_bin;no"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;write_status;yes"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;1;type;rrd"
    # FAILOVER RRD file
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a ADDOUTPUT -v "$MIN_NAME_POLLER-rrd-display;$MIN_NAME_POLLER-rrd-display-output-failover;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;2;path;/var/lib/centreon-broker/$MIN_NAME_POLLER-rrd-display-output-failover.retention"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;2;type;file"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;2;protocol;bbdo"
    $CLAPI_DIR/centreon -u $1 -p $2 -o CENTBROKERCFG -a setoutput -v "$MIN_NAME_POLLER-rrd-display;2;compression;auto"
else
   echo module broker-rrd for poller $NAME_POLLER-rrd-display  already exist !
fi
