#!/bin/bash
# create_trap.sh
# version 1.01
# date 02/10/2015
# use Centreon_Clapi
# $1 name of admin
# $2 password admin
#
#
#
if [ $# -ne 2 ]
then
    echo Usage: $0 admin password 1>&2
    echo This program create template trap  1>&2
    echo for Centreon 1>&2
    exit 1
fi
CLAPI_DIR=/usr/bin
USER_CENTREON=$1
PWD_CENTREON=$2

# create template generic service passif
RESULT=`$CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a show -v generic-service-passif | grep generic-service-passif | cut -d";" -f2`
if [ "$RESULT" != "generic-service-passif" ]
then
   echo create template generic-service-passif
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a add -v "generic-service-passif;generic-service-passif;"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;check_period;24x7"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;check_command;check_centreon_dummy"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v 'generic-service-passif;check_command_arguments;!0!OK'
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;max_check_attempts;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;normal_check_interval;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;retry_check_interval;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;active_checks_enabled;0"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;passive_checks_enabled;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;notifications_enabled;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addcontactgroup -v "generic-service-passif;Supervisors"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;notification_interval;0"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;notification_period;24x7"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;notification_options;w,c,r,f,s"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;first_notification_delay;0"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;service_check_freshness;1"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a setparam -v "generic-service-passif;service_freshness_threshold;300"
else
   echo template generic-service-passif already exist !
fi

# create template trap SNMP
RESULT=`$CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a show -v Model_Trap_Linux | grep Model_Trap_Linux | cut -d";" -f2`
if [ "$RESULT" != "Model_Trap_Linux" ]
then
   echo create template trap SNMP
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a add -v "Model_Trap_Linux;TRAP_LINUX;generic-service-passif"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addhost -v "Model_Trap_Linux;Servers-Linux"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addtrap -v "Model_Trap_Linux;linkDown"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addtrap -v "Model_Trap_Linux;linkUp"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addtrap -v "Model_Trap_Linux;warmStart"
   $CLAPI_DIR/centreon -u $1 -p $2 -o STPL -a addtrap -v "Model_Trap_Linux;coldStart"
else
   echo template Model_Trap_Linux already exist !
fi

# apply submit result for generic traps
echo apply submit result
$CLAPI_DIR/centreon -u $1 -p $2 -o trap -a setparam -v "LinkDown;traps_submit_result_enable;1"
$CLAPI_DIR/centreon -u $1 -p $2 -o trap -a setparam -v "LinkUp;traps_submit_result_enable;1"
$CLAPI_DIR/centreon -u $1 -p $2 -o trap -a setparam -v "warmStart;traps_submit_result_enable;1"
$CLAPI_DIR/centreon -u $1 -p $2 -o trap -a setparam -v "coldStart;traps_submit_result_enable;1"

# generate trap database
if [ ! -d "/etc/snmp/centreon_traps/1" ]; then
     mkdir /etc/snmp/centreon_traps/1
     chown www-data:www-data /etc/snmp/centreon_traps/1
fi
/usr/share/centreon/bin/generateSqlLite 1 /etc/snmp/centreon_traps/1/centreontrapd.sdb
chown www-data:www-data /etc/snmp/centreon_traps/1/centreontrapd.sdb

# apply modele Trap for Central
$CLAPI_DIR/centreon -u $1 -p $2 -o host -a addtemplate -v "Centreon-Server;Servers-Linux"
$CLAPI_DIR/centreon -u $1 -p $2 -o host -a applytpl -v "Centreon-Server"

# apply configuration
$CLAPI_DIR/centreon -u $1 -p $2 -a pollergenerate -v 1
$CLAPI_DIR/centreon -u $1 -p $2 -a cfgmove -v 1
$CLAPI_DIR/centreon -u $1 -p $2 -a pollerreload -v 1
